[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ValEdit' (#lcl)

# TValueListEditor.KeyDown

Provides support for special keys used in the control.

## Declaration

Source position: valedit.pas line 165

`protected procedure TValueListEditor.KeyDown(`
`var Key: Word;`
`Shift: TShiftState`
`); override;`

## Arguments

`Key` |  | Key code for the key down event.
`Shift` |  | Shift / Ctrl / Alt modifier for the key down event.

## Description

KeyDown is a procedure used to provide support for special keys used in the control. KeyDown calls the inherited method. The KeyOptions property is used to determine if actions are performed for keystrokes, including:

KeyAdd (VK_INSERT)
  Inserts a row at the current position. by calling InsertRow. Key is set to #0.
KeyDelete (Ctrl + VK_DELETE)
  Deletes the row at the current position by calling DeleteRow. Key is set to #0.
(VK_ESCAPE)
  Restores the values for the current row by calling RestoreCurrentRow. Key is set to #0.

## See also

TValueListEditor.KeyOptions |  | Controls actions that can be performed for Keys in the control.